Page MenuHomePhabricator

Allow Category filtering to include Talk page categories, but count changes only to associated Main namespace pages [timebox 4 hours]
Open, NormalPublic

Description

This came up in T194707#4448979

It's often the case on English wikipedia that an event- or project-specific category is applied to the Talk page for an article instead of the article page (e.g., see the category All WikiProject Women in Red pages, which is composed entirely of talk pages). But when users want to track edits made to a category, they want to see edits made to the article page, not the talk page.

Proposed solution: Make it so that users can include talk-page categories when setting their filters. The system will find the talk pages, but then behave as though the categories were applied to the associated main namespace pages. I.e., the main page pagename will be the one listed in reports, and all statistics (e.g., # of edits made, etc.) will be gathered for main namespace pages only.

Event Timeline

Niharika renamed this task from Consider giving users the option for using subject page instead of talk page when counting edits to categories to Automatically use the main namespace page for counting edits if a page in a category is a talk page.Jul 27 2018, 12:45 AM
Niharika updated the task description. (Show Details)
Niharika set the point value for this task to 2.Jul 31 2018, 7:40 PM
Niharika moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
This comment was removed by โ€ข jmatazzoni.

This seems like a good idea but in building it, it might be worth keeping a planned development in mind. For Event Tool, we are planning to let people select the namespaces they want to count. It's likely that Main will still be the default. But don't do anything that would stop the system from being able to actually count talk as well if the user selects it. Or if the user selects to have Main and Talk, to be able to assess the true split.

Good point. Do we have any idea if talk pages are ever used for events (Editathons and such)?

We could offer a checkbox "Use subject page instead of talk page", for each category. How does that sound?

While from my experience and conversations with Sati, it's pretty clear that people don't normally conduct events using talk pages or care about those states - however as @jmatazzoni is owning this project now, I will ask him to decide what needs to happen on this ticket and whether we even need to do it. It's been sitting in this column for quite some time now and it seems like the product requirements are no longer clear.

Niharika removed the point value for this task.

Removing this from Sprint as it seems like there are some product decisions to be made first before we can work on this.

@jmatazzoni I recommend you update the ticket. It needs to be re-estimated. Should not be in the sprint. I would recommend we assume people don't do talk-page-events and avoid checkboxes for now. Adding them if required makes more sense than putting in work upfront for adding them without knowing if there's a need for it.

โ€ข jmatazzoni renamed this task from Automatically use the main namespace page for counting edits if a page in a category is a talk page to Automatically use the main namespace page for counting edits if a page in a category is a talk page [timebox 4 hours].Oct 30 2018, 11:45 PM
This comment was removed by โ€ข jmatazzoni.
โ€ข jmatazzoni renamed this task from Automatically use the main namespace page for counting edits if a page in a category is a talk page [timebox 4 hours] to Allow Category filter users to include Talk page categories, but count changes only to associated Main namespace pages [timebox 4 hours].Nov 19 2018, 7:37 PM
โ€ข jmatazzoni renamed this task from Allow Category filter users to include Talk page categories, but count changes only to associated Main namespace pages [timebox 4 hours] to Allow Category searches to include Talk page categories, but count changes only to associated Main namespace pages [timebox 4 hours].Nov 19 2018, 9:46 PM
โ€ข jmatazzoni added a comment.EditedJan 15 2019, 9:58 PM

In T200373#4696162, @Niharika wrote:

@jmatazzoni I recommend you update the ticket. It needs to be re-estimated. Should not be in the sprint. I would recommend we assume people don't do talk-page-events and avoid checkboxes for now. Adding them if required makes more sense than putting in work upfront for adding them without knowing if there's a need for it.

I am just noticing the point value was removed from this ticket. Any comments above of mine questioning this ticket were from a time when I was ignorant about how talk page categories are used.

To be clear, this ticket is not about events that need to count talk pages changes. It is inspired by the fact that event-specific categories and Wikiproject categories are, for policy reasons, applied to talk pages, not article pages. E.g., see the categories All_WikiProject_Women_in_Red_pages or WikiProject_Women%27s_History_articles. Both are composed entirely of talk pages.

I will rewrite and clarify the Description. This was a 2-pointer. I'll put it back for re-estimation.

@Niharika, wait, sorry, I'm confusing things. I see now we did re-estimate this, and it was given a timebox of 4 hours.

โ€ข jmatazzoni renamed this task from Allow Category searches to include Talk page categories, but count changes only to associated Main namespace pages [timebox 4 hours] to Allow Category filtering to include Talk page categories, but count changes only to associated Main namespace pages [timebox 4 hours].Apr 1 2019, 10:22 PM